package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag910;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT910Creator;


public class Tag21Creator extends AbsTagCreate {

     private MT910Creator mt910Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt910Creator= (MT910Creator) absMTCreator;
    }

    public void creator()
    {
        String tag21Value = mt910Creator.getRelatedReference();
        mt910Creator.set("21", tag21Value);
    }
}

